Benefit deductions and contributions actually applied on this paycheck.
Show child attributes
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Clasp Docs","colors":{"primary":"#008668","light":"#C2DEDB","dark":"#004737"},"logo":{"light":"https://mintcdn.com/claspinc/pvG8MEAL7PTcGAI_/logo/light.svg?fit=max\u0026auto=format\u0026n=pvG8MEAL7PTcGAI_\u0026q=85\u0026s=91dca5eee8fbae406f7dfd19cd64a9f5","dark":"https://mintcdn.com/claspinc/pvG8MEAL7PTcGAI_/logo/dark.svg?fit=max\u0026auto=format\u0026n=pvG8MEAL7PTcGAI_\u0026q=85\u0026s=4f425eb0ae9b4e7767c2aec7a921e489"},"favicon":"https://mintcdn.com/claspinc/34GzgX9XMCmDzNgM/favicon.png?fit=max\u0026auto=format\u0026n=34GzgX9XMCmDzNgM\u0026q=85\u0026s=3aa2fe53996710dc8a4c221bac160353","api":{"mdx":{"server":"https://sandbox.withclasp.com"}},"background":{"color":{"dark":"#090014"}},"navbar":{"links":[{"href":"mailto:contact@withclasp.com","label":"Support"}],"primary":{"type":"button","label":"Homepage","href":"https://withclasp.com"}},"footer":{"socials":{"website":"https://withclasp.com","github":"https://www.npmjs.com/package/clasp-components","linkedin":"https://www.linkedin.com/company/clasp-inc"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"claspinc","hasAudioNarration":false,"actualSubdomain":"claspinc","customDomains":["docs.withclasp.com"],"gitSource":{"type":"github","owner":"clasp-hq","repo":"clasp-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aecbbebb20fc35bf671a804","clientVersion":"0.0.4087","searchFilterCounts":[{"language":"default","tag":"API Reference","count":136},{"language":"default","tag":"Open Enrollment Windows","count":13},{"language":"default","tag":"Members","count":9},{"language":"default","tag":"Enrollments","count":8},{"language":"default","tag":"Plan Configurations","count":7},{"language":"default","tag":"Quotes","count":7},{"language":"default","tag":"Beneficiaries","count":6},{"language":"default","tag":"Dependents","count":6},{"language":"default","tag":"Member ID Cards","count":6},{"language":"default","tag":"Plans","count":6}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/payroll_payments/post-payroll_payments","slug":"/api-reference/payroll_payments/post-payroll_payments","pageMetadata":{"title":"Create Payroll Payment","openapi":"schemas/2023-08-25/schema.yaml post /payroll_payments","description":"Creates a payroll payment to represent a paid paycheck for a given member to feed into ACA calculations.","href":"/api-reference/payroll_payments/post-payroll_payments"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Creates a payroll payment to represent a paid paycheck for a given member to feed into ACA calculations.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create Payroll Payment","openapi":"schemas/2023-08-25/schema.yaml post /payroll_payments","description":"Creates a payroll payment to represent a paid paycheck for a given member to feed into ACA calculations.","href":"/api-reference/payroll_payments/post-payroll_payments"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"operationId":"payroll_payments_create","description":"Creates a payroll payment to represent a paid paycheck for a given member to feed into ACA calculations.","tags":["payroll_payments"],"requestBody":"5b8990ff-4164-4729-afb7-a768ad768ea1","security":["a6378174-9286-4230-9ee6-c4b8d98644f5"],"responses":{"201":"ea12aec3-3325-4883-8e11-1e432d3bdf60"},"method":"post","type":"path","servers":[],"path":"/payroll_payments","baseUrlOptions":["https://sandbox.withclasp.com"],"title":"","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"member":{"type":"string","isRequired":true,"uniqueKey":"member","typeLabel":"string"},"payday":{"type":"string","format":"date","isRequired":true,"uniqueKey":"payday","typeLabel":"string\u003cdate>"},"period_start":{"type":"string","format":"date","isRequired":true,"uniqueKey":"period_start","typeLabel":"string\u003cdate>"},"period_end":{"type":"string","format":"date","isRequired":true,"uniqueKey":"period_end","typeLabel":"string\u003cdate>"},"hours_worked":{"type":"string","format":"decimal","pattern":"^-?\\d{0,3}(?:\\.\\d{0,2})?$","isRequired":true,"uniqueKey":"hours_worked","typeLabel":"string\u003cdecimal>"},"gross_pay":{"type":"string","format":"decimal","pattern":"^-?\\d{0,8}(?:\\.\\d{0,2})?$","isRequired":true,"uniqueKey":"gross_pay","typeLabel":"string\u003cdecimal>"},"payroll_provider_external_id":{"oneOf":[{"type":"string","maxLength":255,"description":"Unique identifier for the payroll payment in the payroll system.","isRequired":true,"uniqueKey":"payroll_provider_external_id.oneOf.0","typeLabel":"string"},{"type":"null","maxLength":255,"description":"Unique identifier for the payroll payment in the payroll system.","isRequired":true,"uniqueKey":"payroll_provider_external_id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"payroll_provider_external_id","typeLabel":"string | null"},"deductions":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"line_of_coverage":{"enum":["medical","dental","vision","life","accidental_death","voluntary_life","voluntary_accidental_death","voluntary_critical_illness","lump_sum_disability","short_term_disability","voluntary_short_term_disability","long_term_disability","voluntary_long_term_disability","hospital_indemnity","accident","cancer","telemedicine","supplemental","employee_assistance_program","legal_services","pet_insurance","identity_theft_protection","hsa","healthcare_fsa","limited_purpose_fsa","dependent_care_fsa","commuter_transit","commuter_parking","401k","403b","457b","wellness","roth_401k","401k_loan","roth_403b","403b_loan","roth_457b","457b_loan"],"type":"string","description":"* `medical` - Medical\n* `dental` - Dental\n* `vision` - Vision\n* `life` - Life\n* `accidental_death` - Accidental Death and Dismemberment\n* `voluntary_life` - Voluntary Life\n* `voluntary_accidental_death` - Voluntary Accidental Death and Dismemberment\n* `voluntary_critical_illness` - Voluntary Critical Illness\n* `lump_sum_disability` - Lump Sum Disability\n* `short_term_disability` - Short Term Disability\n* `voluntary_short_term_disability` - Voluntary Short Term Disability\n* `long_term_disability` - Long Term Disability\n* `voluntary_long_term_disability` - Voluntary Long Term Disability\n* `hospital_indemnity` - Hospital Indemnity\n* `accident` - Accident\n* `cancer` - Cancer\n* `telemedicine` - Telemedicine\n* `supplemental` - Supplemental\n* `employee_assistance_program` - Employee Assistance Program\n* `legal_services` - Legal Services\n* `pet_insurance` - Pet Insurance\n* `identity_theft_protection` - Identity Theft Protection\n* `hsa` - HSA\n* `healthcare_fsa` - Healthcare FSA\n* `limited_purpose_fsa` - Limited Purpose FSA\n* `dependent_care_fsa` - Dependent Care FSA\n* `commuter_transit` - Commuter Transit\n* `commuter_parking` - Commuter Parking\n* `401k` - 401(k)\n* `403b` - 403(b)\n* `457b` - 457(b)\n* `wellness` - Wellness\n* `roth_401k` - Roth 401(k)\n* `401k_loan` - 401(k) Loan\n* `roth_403b` - Roth 403(b)\n* `403b_loan` - 403(b) Loan\n* `roth_457b` - Roth 457(b)\n* `457b_loan` - 457(b) Loan","isRequired":true,"uniqueKey":"deductions.oneOf.0.items.[INDEX].line_of_coverage","typeLabel":"enum\u003cstring>"},"taxability":{"enum":["pre_tax","post_tax"],"type":"string","description":"* `pre_tax` - Pre-tax\n* `post_tax` - Post-tax","isRequired":true,"uniqueKey":"deductions.oneOf.0.items.[INDEX].taxability","typeLabel":"enum\u003cstring>"},"payroll_benefit":{"oneOf":[{"type":"string","description":"ID of the payroll benefit this deduction was taken for, if it corresponds to a benefit configured in Clasp.","uniqueKey":"deductions.oneOf.0.items.[INDEX].payroll_benefit.oneOf.0","typeLabel":"string"},{"type":"null","description":"ID of the payroll benefit this deduction was taken for, if it corresponds to a benefit configured in Clasp.","uniqueKey":"deductions.oneOf.0.items.[INDEX].payroll_benefit.oneOf.1","typeLabel":"null"}],"uniqueKey":"deductions.oneOf.0.items.[INDEX].payroll_benefit","typeLabel":"string | null"},"description":{"oneOf":[{"type":"string","maxLength":255,"uniqueKey":"deductions.oneOf.0.items.[INDEX].description.oneOf.0","typeLabel":"string"},{"type":"null","maxLength":255,"uniqueKey":"deductions.oneOf.0.items.[INDEX].description.oneOf.1","typeLabel":"null"}],"uniqueKey":"deductions.oneOf.0.items.[INDEX].description","typeLabel":"string | null"},"employer_contribution":{"oneOf":[{"type":"string","format":"decimal","pattern":"^-?\\d{0,8}(?:\\.\\d{0,2})?$","description":"Amount contributed by the employer on this paycheck. May be negative for adjustments or voids.","uniqueKey":"deductions.oneOf.0.items.[INDEX].employer_contribution.oneOf.0","typeLabel":"string\u003cdecimal>"},{"type":"null","format":"decimal","pattern":"^-?\\d{0,8}(?:\\.\\d{0,2})?$","description":"Amount contributed by the employer on this paycheck. May be negative for adjustments or voids.","uniqueKey":"deductions.oneOf.0.items.[INDEX].employer_contribution.oneOf.1","typeLabel":"null"}],"uniqueKey":"deductions.oneOf.0.items.[INDEX].employer_contribution","typeLabel":"string\u003cdecimal> | null"},"member_contribution":{"type":"string","format":"decimal","pattern":"^-?\\d{0,8}(?:\\.\\d{0,2})?$","default":"0.00","description":"Amount withheld from the member on this paycheck. May be negative for adjustments or voids.","uniqueKey":"deductions.oneOf.0.items.[INDEX].member_contribution","typeLabel":"string\u003cdecimal>"}},"required":["id","line_of_coverage","taxability"],"uniqueKey":"deductions.oneOf.0.items.[INDEX]","typeLabel":"object"},"description":"Benefit deductions and contributions actually applied on this paycheck.","uniqueKey":"deductions.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","properties":{"payroll_benefit":{"oneOf":[{"type":"string","description":"ID of the payroll benefit this deduction was taken for, if it corresponds to a benefit configured in Clasp."},{"type":"null","description":"ID of the payroll benefit this deduction was taken for, if it corresponds to a benefit configured in Clasp."}]},"line_of_coverage":{"enum":["medical","dental","vision","life","accidental_death","voluntary_life","voluntary_accidental_death","voluntary_critical_illness","lump_sum_disability","short_term_disability","voluntary_short_term_disability","long_term_disability","voluntary_long_term_disability","hospital_indemnity","accident","cancer","telemedicine","supplemental","employee_assistance_program","legal_services","pet_insurance","identity_theft_protection","hsa","healthcare_fsa","limited_purpose_fsa","dependent_care_fsa","commuter_transit","commuter_parking","401k","403b","457b","wellness","roth_401k","401k_loan","roth_403b","403b_loan","roth_457b","457b_loan"],"type":"string","description":"* `medical` - Medical\n* `dental` - Dental\n* `vision` - Vision\n* `life` - Life\n* `accidental_death` - Accidental Death and Dismemberment\n* `voluntary_life` - Voluntary Life\n* `voluntary_accidental_death` - Voluntary Accidental Death and Dismemberment\n* `voluntary_critical_illness` - Voluntary Critical Illness\n* `lump_sum_disability` - Lump Sum Disability\n* `short_term_disability` - Short Term Disability\n* `voluntary_short_term_disability` - Voluntary Short Term Disability\n* `long_term_disability` - Long Term Disability\n* `voluntary_long_term_disability` - Voluntary Long Term Disability\n* `hospital_indemnity` - Hospital Indemnity\n* `accident` - Accident\n* `cancer` - Cancer\n* `telemedicine` - Telemedicine\n* `supplemental` - Supplemental\n* `employee_assistance_program` - Employee Assistance Program\n* `legal_services` - Legal Services\n* `pet_insurance` - Pet Insurance\n* `identity_theft_protection` - Identity Theft Protection\n* `hsa` - HSA\n* `healthcare_fsa` - Healthcare FSA\n* `limited_purpose_fsa` - Limited Purpose FSA\n* `dependent_care_fsa` - Dependent Care FSA\n* `commuter_transit` - Commuter Transit\n* `commuter_parking` - Commuter Parking\n* `401k` - 401(k)\n* `403b` - 403(b)\n* `457b` - 457(b)\n* `wellness` - Wellness\n* `roth_401k` - Roth 401(k)\n* `401k_loan` - 401(k) Loan\n* `roth_403b` - Roth 403(b)\n* `403b_loan` - 403(b) Loan\n* `roth_457b` - Roth 457(b)\n* `457b_loan` - 457(b) Loan"},"taxability":{"enum":["pre_tax","post_tax"],"type":"string","description":"* `pre_tax` - Pre-tax\n* `post_tax` - Post-tax"},"description":{"oneOf":[{"type":"string","maxLength":255},{"type":"null","maxLength":255}]},"employer_contribution":{"oneOf":[{"type":"string","format":"decimal","pattern":"^-?\\d{0,8}(?:\\.\\d{0,2})?$","description":"Amount contributed by the employer on this paycheck. May be negative for adjustments or voids."},{"type":"null","format":"decimal","pattern":"^-?\\d{0,8}(?:\\.\\d{0,2})?$","description":"Amount contributed by the employer on this paycheck. May be negative for adjustments or voids."}]},"member_contribution":{"type":"string","format":"decimal","pattern":"^-?\\d{0,8}(?:\\.\\d{0,2})?$","default":"0.00","description":"Amount withheld from the member on this paycheck. May be negative for adjustments or voids."}},"required":["id","line_of_coverage","taxability"]},"description":"Benefit deductions and contributions actually applied on this paycheck.","uniqueKey":"deductions.oneOf.1","typeLabel":"null"}],"uniqueKey":"deductions","typeLabel":"object[] | null"}},"required":["gross_pay","hours_worked","id","member","payday","period_end","period_start","payroll_provider_external_id"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"member":"\u003cstring>","payday":"2023-12-25","period_start":"2023-12-25","period_end":"2023-12-25","hours_worked":"\u003cstring>","gross_pay":"\u003cstring>","payroll_provider_external_id":"\u003cstring>","deductions":[{"payroll_benefit":"\u003cstring>","description":"\u003cstring>","employer_contribution":"\u003cstring>","member_contribution":"0.00"}]}}},"exampleType":"generated"},"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"member":{"type":"string","isRequired":true,"uniqueKey":"member","typeLabel":"string"},"payday":{"type":"string","format":"date","isRequired":true,"uniqueKey":"payday","typeLabel":"string\u003cdate>"},"period_start":{"type":"string","format":"date","isRequired":true,"uniqueKey":"period_start","typeLabel":"string\u003cdate>"},"period_end":{"type":"string","format":"date","isRequired":true,"uniqueKey":"period_end","typeLabel":"string\u003cdate>"},"hours_worked":{"type":"string","format":"decimal","pattern":"^-?\\d{0,3}(?:\\.\\d{0,2})?$","isRequired":true,"uniqueKey":"hours_worked","typeLabel":"string\u003cdecimal>"},"gross_pay":{"type":"string","format":"decimal","pattern":"^-?\\d{0,8}(?:\\.\\d{0,2})?$","isRequired":true,"uniqueKey":"gross_pay","typeLabel":"string\u003cdecimal>"},"payroll_provider_external_id":{"oneOf":[{"type":"string","maxLength":255,"description":"Unique identifier for the payroll payment in the payroll system.","isRequired":true,"uniqueKey":"payroll_provider_external_id.oneOf.0","typeLabel":"string"},{"type":"null","maxLength":255,"description":"Unique identifier for the payroll payment in the payroll system.","isRequired":true,"uniqueKey":"payroll_provider_external_id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"payroll_provider_external_id","typeLabel":"string | null"},"deductions":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"line_of_coverage":{"enum":["medical","dental","vision","life","accidental_death","voluntary_life","voluntary_accidental_death","voluntary_critical_illness","lump_sum_disability","short_term_disability","voluntary_short_term_disability","long_term_disability","voluntary_long_term_disability","hospital_indemnity","accident","cancer","telemedicine","supplemental","employee_assistance_program","legal_services","pet_insurance","identity_theft_protection","hsa","healthcare_fsa","limited_purpose_fsa","dependent_care_fsa","commuter_transit","commuter_parking","401k","403b","457b","wellness","roth_401k","401k_loan","roth_403b","403b_loan","roth_457b","457b_loan"],"type":"string","description":"* `medical` - Medical\n* `dental` - Dental\n* `vision` - Vision\n* `life` - Life\n* `accidental_death` - Accidental Death and Dismemberment\n* `voluntary_life` - Voluntary Life\n* `voluntary_accidental_death` - Voluntary Accidental Death and Dismemberment\n* `voluntary_critical_illness` - Voluntary Critical Illness\n* `lump_sum_disability` - Lump Sum Disability\n* `short_term_disability` - Short Term Disability\n* `voluntary_short_term_disability` - Voluntary Short Term Disability\n* `long_term_disability` - Long Term Disability\n* `voluntary_long_term_disability` - Voluntary Long Term Disability\n* `hospital_indemnity` - Hospital Indemnity\n* `accident` - Accident\n* `cancer` - Cancer\n* `telemedicine` - Telemedicine\n* `supplemental` - Supplemental\n* `employee_assistance_program` - Employee Assistance Program\n* `legal_services` - Legal Services\n* `pet_insurance` - Pet Insurance\n* `identity_theft_protection` - Identity Theft Protection\n* `hsa` - HSA\n* `healthcare_fsa` - Healthcare FSA\n* `limited_purpose_fsa` - Limited Purpose FSA\n* `dependent_care_fsa` - Dependent Care FSA\n* `commuter_transit` - Commuter Transit\n* `commuter_parking` - Commuter Parking\n* `401k` - 401(k)\n* `403b` - 403(b)\n* `457b` - 457(b)\n* `wellness` - Wellness\n* `roth_401k` - Roth 401(k)\n* `401k_loan` - 401(k) Loan\n* `roth_403b` - Roth 403(b)\n* `403b_loan` - 403(b) Loan\n* `roth_457b` - Roth 457(b)\n* `457b_loan` - 457(b) Loan","isRequired":true,"uniqueKey":"deductions.oneOf.0.items.[INDEX].line_of_coverage","typeLabel":"enum\u003cstring>"},"taxability":{"enum":["pre_tax","post_tax"],"type":"string","description":"* `pre_tax` - Pre-tax\n* `post_tax` - Post-tax","isRequired":true,"uniqueKey":"deductions.oneOf.0.items.[INDEX].taxability","typeLabel":"enum\u003cstring>"},"payroll_benefit":{"oneOf":[{"type":"string","description":"ID of the payroll benefit this deduction was taken for, if it corresponds to a benefit configured in Clasp.","uniqueKey":"deductions.oneOf.0.items.[INDEX].payroll_benefit.oneOf.0","typeLabel":"string"},{"type":"null","description":"ID of the payroll benefit this deduction was taken for, if it corresponds to a benefit configured in Clasp.","uniqueKey":"deductions.oneOf.0.items.[INDEX].payroll_benefit.oneOf.1","typeLabel":"null"}],"uniqueKey":"deductions.oneOf.0.items.[INDEX].payroll_benefit","typeLabel":"string | null"},"description":{"oneOf":[{"type":"string","maxLength":255,"uniqueKey":"deductions.oneOf.0.items.[INDEX].description.oneOf.0","typeLabel":"string"},{"type":"null","maxLength":255,"uniqueKey":"deductions.oneOf.0.items.[INDEX].description.oneOf.1","typeLabel":"null"}],"uniqueKey":"deductions.oneOf.0.items.[INDEX].description","typeLabel":"string | null"},"employer_contribution":{"oneOf":[{"type":"string","format":"decimal","pattern":"^-?\\d{0,8}(?:\\.\\d{0,2})?$","description":"Amount contributed by the employer on this paycheck. May be negative for adjustments or voids.","uniqueKey":"deductions.oneOf.0.items.[INDEX].employer_contribution.oneOf.0","typeLabel":"string\u003cdecimal>"},{"type":"null","format":"decimal","pattern":"^-?\\d{0,8}(?:\\.\\d{0,2})?$","description":"Amount contributed by the employer on this paycheck. May be negative for adjustments or voids.","uniqueKey":"deductions.oneOf.0.items.[INDEX].employer_contribution.oneOf.1","typeLabel":"null"}],"uniqueKey":"deductions.oneOf.0.items.[INDEX].employer_contribution","typeLabel":"string\u003cdecimal> | null"},"member_contribution":{"type":"string","format":"decimal","pattern":"^-?\\d{0,8}(?:\\.\\d{0,2})?$","default":"0.00","description":"Amount withheld from the member on this paycheck. May be negative for adjustments or voids.","uniqueKey":"deductions.oneOf.0.items.[INDEX].member_contribution","typeLabel":"string\u003cdecimal>"}},"required":["id","line_of_coverage","taxability"],"uniqueKey":"deductions.oneOf.0.items.[INDEX]","typeLabel":"object"},"description":"Benefit deductions and contributions actually applied on this paycheck.","uniqueKey":"deductions.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","properties":{"payroll_benefit":{"oneOf":[{"type":"string","description":"ID of the payroll benefit this deduction was taken for, if it corresponds to a benefit configured in Clasp."},{"type":"null","description":"ID of the payroll benefit this deduction was taken for, if it corresponds to a benefit configured in Clasp."}]},"line_of_coverage":{"enum":["medical","dental","vision","life","accidental_death","voluntary_life","voluntary_accidental_death","voluntary_critical_illness","lump_sum_disability","short_term_disability","voluntary_short_term_disability","long_term_disability","voluntary_long_term_disability","hospital_indemnity","accident","cancer","telemedicine","supplemental","employee_assistance_program","legal_services","pet_insurance","identity_theft_protection","hsa","healthcare_fsa","limited_purpose_fsa","dependent_care_fsa","commuter_transit","commuter_parking","401k","403b","457b","wellness","roth_401k","401k_loan","roth_403b","403b_loan","roth_457b","457b_loan"],"type":"string","description":"* `medical` - Medical\n* `dental` - Dental\n* `vision` - Vision\n* `life` - Life\n* `accidental_death` - Accidental Death and Dismemberment\n* `voluntary_life` - Voluntary Life\n* `voluntary_accidental_death` - Voluntary Accidental Death and Dismemberment\n* `voluntary_critical_illness` - Voluntary Critical Illness\n* `lump_sum_disability` - Lump Sum Disability\n* `short_term_disability` - Short Term Disability\n* `voluntary_short_term_disability` - Voluntary Short Term Disability\n* `long_term_disability` - Long Term Disability\n* `voluntary_long_term_disability` - Voluntary Long Term Disability\n* `hospital_indemnity` - Hospital Indemnity\n* `accident` - Accident\n* `cancer` - Cancer\n* `telemedicine` - Telemedicine\n* `supplemental` - Supplemental\n* `employee_assistance_program` - Employee Assistance Program\n* `legal_services` - Legal Services\n* `pet_insurance` - Pet Insurance\n* `identity_theft_protection` - Identity Theft Protection\n* `hsa` - HSA\n* `healthcare_fsa` - Healthcare FSA\n* `limited_purpose_fsa` - Limited Purpose FSA\n* `dependent_care_fsa` - Dependent Care FSA\n* `commuter_transit` - Commuter Transit\n* `commuter_parking` - Commuter Parking\n* `401k` - 401(k)\n* `403b` - 403(b)\n* `457b` - 457(b)\n* `wellness` - Wellness\n* `roth_401k` - Roth 401(k)\n* `401k_loan` - 401(k) Loan\n* `roth_403b` - Roth 403(b)\n* `403b_loan` - 403(b) Loan\n* `roth_457b` - Roth 457(b)\n* `457b_loan` - 457(b) Loan"},"taxability":{"enum":["pre_tax","post_tax"],"type":"string","description":"* `pre_tax` - Pre-tax\n* `post_tax` - Post-tax"},"description":{"oneOf":[{"type":"string","maxLength":255},{"type":"null","maxLength":255}]},"employer_contribution":{"oneOf":[{"type":"string","format":"decimal","pattern":"^-?\\d{0,8}(?:\\.\\d{0,2})?$","description":"Amount contributed by the employer on this paycheck. May be negative for adjustments or voids."},{"type":"null","format":"decimal","pattern":"^-?\\d{0,8}(?:\\.\\d{0,2})?$","description":"Amount contributed by the employer on this paycheck. May be negative for adjustments or voids."}]},"member_contribution":{"type":"string","format":"decimal","pattern":"^-?\\d{0,8}(?:\\.\\d{0,2})?$","default":"0.00","description":"Amount withheld from the member on this paycheck. May be negative for adjustments or voids."}},"required":["id","line_of_coverage","taxability"]},"description":"Benefit deductions and contributions actually applied on this paycheck.","uniqueKey":"deductions.oneOf.1","typeLabel":"null"}],"uniqueKey":"deductions","typeLabel":"object[] | null"}},"required":["gross_pay","hours_worked","id","member","payday","period_end","period_start","payroll_provider_external_id"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"member":"\u003cstring>","payday":"2023-12-25","period_start":"2023-12-25","period_end":"2023-12-25","hours_worked":"\u003cstring>","gross_pay":"\u003cstring>","payroll_provider_external_id":"\u003cstring>","deductions":[{"payroll_benefit":"\u003cstring>","description":"\u003cstring>","employer_contribution":"\u003cstring>","member_contribution":"0.00"}]}}},"exampleType":"generated"},"multipart/form-data":{"schema":{"type":"object","properties":{"member":{"type":"string","isRequired":true,"uniqueKey":"member","typeLabel":"string"},"payday":{"type":"string","format":"date","isRequired":true,"uniqueKey":"payday","typeLabel":"string\u003cdate>"},"period_start":{"type":"string","format":"date","isRequired":true,"uniqueKey":"period_start","typeLabel":"string\u003cdate>"},"period_end":{"type":"string","format":"date","isRequired":true,"uniqueKey":"period_end","typeLabel":"string\u003cdate>"},"hours_worked":{"type":"string","format":"decimal","pattern":"^-?\\d{0,3}(?:\\.\\d{0,2})?$","isRequired":true,"uniqueKey":"hours_worked","typeLabel":"string\u003cdecimal>"},"gross_pay":{"type":"string","format":"decimal","pattern":"^-?\\d{0,8}(?:\\.\\d{0,2})?$","isRequired":true,"uniqueKey":"gross_pay","typeLabel":"string\u003cdecimal>"},"payroll_provider_external_id":{"oneOf":[{"type":"string","maxLength":255,"description":"Unique identifier for the payroll payment in the payroll system.","isRequired":true,"uniqueKey":"payroll_provider_external_id.oneOf.0","typeLabel":"string"},{"type":"null","maxLength":255,"description":"Unique identifier for the payroll payment in the payroll system.","isRequired":true,"uniqueKey":"payroll_provider_external_id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"payroll_provider_external_id","typeLabel":"string | null"},"deductions":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"line_of_coverage":{"enum":["medical","dental","vision","life","accidental_death","voluntary_life","voluntary_accidental_death","voluntary_critical_illness","lump_sum_disability","short_term_disability","voluntary_short_term_disability","long_term_disability","voluntary_long_term_disability","hospital_indemnity","accident","cancer","telemedicine","supplemental","employee_assistance_program","legal_services","pet_insurance","identity_theft_protection","hsa","healthcare_fsa","limited_purpose_fsa","dependent_care_fsa","commuter_transit","commuter_parking","401k","403b","457b","wellness","roth_401k","401k_loan","roth_403b","403b_loan","roth_457b","457b_loan"],"type":"string","description":"* `medical` - Medical\n* `dental` - Dental\n* `vision` - Vision\n* `life` - Life\n* `accidental_death` - Accidental Death and Dismemberment\n* `voluntary_life` - Voluntary Life\n* `voluntary_accidental_death` - Voluntary Accidental Death and Dismemberment\n* `voluntary_critical_illness` - Voluntary Critical Illness\n* `lump_sum_disability` - Lump Sum Disability\n* `short_term_disability` - Short Term Disability\n* `voluntary_short_term_disability` - Voluntary Short Term Disability\n* `long_term_disability` - Long Term Disability\n* `voluntary_long_term_disability` - Voluntary Long Term Disability\n* `hospital_indemnity` - Hospital Indemnity\n* `accident` - Accident\n* `cancer` - Cancer\n* `telemedicine` - Telemedicine\n* `supplemental` - Supplemental\n* `employee_assistance_program` - Employee Assistance Program\n* `legal_services` - Legal Services\n* `pet_insurance` - Pet Insurance\n* `identity_theft_protection` - Identity Theft Protection\n* `hsa` - HSA\n* `healthcare_fsa` - Healthcare FSA\n* `limited_purpose_fsa` - Limited Purpose FSA\n* `dependent_care_fsa` - Dependent Care FSA\n* `commuter_transit` - Commuter Transit\n* `commuter_parking` - Commuter Parking\n* `401k` - 401(k)\n* `403b` - 403(b)\n* `457b` - 457(b)\n* `wellness` - Wellness\n* `roth_401k` - Roth 401(k)\n* `401k_loan` - 401(k) Loan\n* `roth_403b` - Roth 403(b)\n* `403b_loan` - 403(b) Loan\n* `roth_457b` - Roth 457(b)\n* `457b_loan` - 457(b) Loan","isRequired":true,"uniqueKey":"deductions.oneOf.0.items.[INDEX].line_of_coverage","typeLabel":"enum\u003cstring>"},"taxability":{"enum":["pre_tax","post_tax"],"type":"string","description":"* `pre_tax` - Pre-tax\n* `post_tax` - Post-tax","isRequired":true,"uniqueKey":"deductions.oneOf.0.items.[INDEX].taxability","typeLabel":"enum\u003cstring>"},"payroll_benefit":{"oneOf":[{"type":"string","description":"ID of the payroll benefit this deduction was taken for, if it corresponds to a benefit configured in Clasp.","uniqueKey":"deductions.oneOf.0.items.[INDEX].payroll_benefit.oneOf.0","typeLabel":"string"},{"type":"null","description":"ID of the payroll benefit this deduction was taken for, if it corresponds to a benefit configured in Clasp.","uniqueKey":"deductions.oneOf.0.items.[INDEX].payroll_benefit.oneOf.1","typeLabel":"null"}],"uniqueKey":"deductions.oneOf.0.items.[INDEX].payroll_benefit","typeLabel":"string | null"},"description":{"oneOf":[{"type":"string","maxLength":255,"uniqueKey":"deductions.oneOf.0.items.[INDEX].description.oneOf.0","typeLabel":"string"},{"type":"null","maxLength":255,"uniqueKey":"deductions.oneOf.0.items.[INDEX].description.oneOf.1","typeLabel":"null"}],"uniqueKey":"deductions.oneOf.0.items.[INDEX].description","typeLabel":"string | null"},"employer_contribution":{"oneOf":[{"type":"string","format":"decimal","pattern":"^-?\\d{0,8}(?:\\.\\d{0,2})?$","description":"Amount contributed by the employer on this paycheck. May be negative for adjustments or voids.","uniqueKey":"deductions.oneOf.0.items.[INDEX].employer_contribution.oneOf.0","typeLabel":"string\u003cdecimal>"},{"type":"null","format":"decimal","pattern":"^-?\\d{0,8}(?:\\.\\d{0,2})?$","description":"Amount contributed by the employer on this paycheck. May be negative for adjustments or voids.","uniqueKey":"deductions.oneOf.0.items.[INDEX].employer_contribution.oneOf.1","typeLabel":"null"}],"uniqueKey":"deductions.oneOf.0.items.[INDEX].employer_contribution","typeLabel":"string\u003cdecimal> | null"},"member_contribution":{"type":"string","format":"decimal","pattern":"^-?\\d{0,8}(?:\\.\\d{0,2})?$","default":"0.00","description":"Amount withheld from the member on this paycheck. May be negative for adjustments or voids.","uniqueKey":"deductions.oneOf.0.items.[INDEX].member_contribution","typeLabel":"string\u003cdecimal>"}},"required":["id","line_of_coverage","taxability"],"uniqueKey":"deductions.oneOf.0.items.[INDEX]","typeLabel":"object"},"description":"Benefit deductions and contributions actually applied on this paycheck.","uniqueKey":"deductions.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","properties":{"payroll_benefit":{"oneOf":[{"type":"string","description":"ID of the payroll benefit this deduction was taken for, if it corresponds to a benefit configured in Clasp."},{"type":"null","description":"ID of the payroll benefit this deduction was taken for, if it corresponds to a benefit configured in Clasp."}]},"line_of_coverage":{"enum":["medical","dental","vision","life","accidental_death","voluntary_life","voluntary_accidental_death","voluntary_critical_illness","lump_sum_disability","short_term_disability","voluntary_short_term_disability","long_term_disability","voluntary_long_term_disability","hospital_indemnity","accident","cancer","telemedicine","supplemental","employee_assistance_program","legal_services","pet_insurance","identity_theft_protection","hsa","healthcare_fsa","limited_purpose_fsa","dependent_care_fsa","commuter_transit","commuter_parking","401k","403b","457b","wellness","roth_401k","401k_loan","roth_403b","403b_loan","roth_457b","457b_loan"],"type":"string","description":"* `medical` - Medical\n* `dental` - Dental\n* `vision` - Vision\n* `life` - Life\n* `accidental_death` - Accidental Death and Dismemberment\n* `voluntary_life` - Voluntary Life\n* `voluntary_accidental_death` - Voluntary Accidental Death and Dismemberment\n* `voluntary_critical_illness` - Voluntary Critical Illness\n* `lump_sum_disability` - Lump Sum Disability\n* `short_term_disability` - Short Term Disability\n* `voluntary_short_term_disability` - Voluntary Short Term Disability\n* `long_term_disability` - Long Term Disability\n* `voluntary_long_term_disability` - Voluntary Long Term Disability\n* `hospital_indemnity` - Hospital Indemnity\n* `accident` - Accident\n* `cancer` - Cancer\n* `telemedicine` - Telemedicine\n* `supplemental` - Supplemental\n* `employee_assistance_program` - Employee Assistance Program\n* `legal_services` - Legal Services\n* `pet_insurance` - Pet Insurance\n* `identity_theft_protection` - Identity Theft Protection\n* `hsa` - HSA\n* `healthcare_fsa` - Healthcare FSA\n* `limited_purpose_fsa` - Limited Purpose FSA\n* `dependent_care_fsa` - Dependent Care FSA\n* `commuter_transit` - Commuter Transit\n* `commuter_parking` - Commuter Parking\n* `401k` - 401(k)\n* `403b` - 403(b)\n* `457b` - 457(b)\n* `wellness` - Wellness\n* `roth_401k` - Roth 401(k)\n* `401k_loan` - 401(k) Loan\n* `roth_403b` - Roth 403(b)\n* `403b_loan` - 403(b) Loan\n* `roth_457b` - Roth 457(b)\n* `457b_loan` - 457(b) Loan"},"taxability":{"enum":["pre_tax","post_tax"],"type":"string","description":"* `pre_tax` - Pre-tax\n* `post_tax` - Post-tax"},"description":{"oneOf":[{"type":"string","maxLength":255},{"type":"null","maxLength":255}]},"employer_contribution":{"oneOf":[{"type":"string","format":"decimal","pattern":"^-?\\d{0,8}(?:\\.\\d{0,2})?$","description":"Amount contributed by the employer on this paycheck. May be negative for adjustments or voids."},{"type":"null","format":"decimal","pattern":"^-?\\d{0,8}(?:\\.\\d{0,2})?$","description":"Amount contributed by the employer on this paycheck. May be negative for adjustments or voids."}]},"member_contribution":{"type":"string","format":"decimal","pattern":"^-?\\d{0,8}(?:\\.\\d{0,2})?$","default":"0.00","description":"Amount withheld from the member on this paycheck. May be negative for adjustments or voids."}},"required":["id","line_of_coverage","taxability"]},"description":"Benefit deductions and contributions actually applied on this paycheck.","uniqueKey":"deductions.oneOf.1","typeLabel":"null"}],"uniqueKey":"deductions","typeLabel":"object[] | null"}},"required":["gross_pay","hours_worked","id","member","payday","period_end","period_start","payroll_provider_external_id"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"member":"\u003cstring>","payday":"2023-12-25","period_start":"2023-12-25","period_end":"2023-12-25","hours_worked":"\u003cstring>","gross_pay":"\u003cstring>","payroll_provider_external_id":"\u003cstring>","deductions":[{"payroll_benefit":"\u003cstring>","description":"\u003cstring>","employer_contribution":"\u003cstring>","member_contribution":"0.00"}]}}},"exampleType":"generated"}},"required":true,"exampleType":"generated"},"responses":{"ea12aec3-3325-4883-8e11-1e432d3bdf60":{"content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","readOnly":true,"pattern":"^[-a-zA-Z0-9_]+$","isRequired":true,"uniqueKey":"id","typeLabel":"string"},"member":{"type":"string","isRequired":true,"uniqueKey":"member","typeLabel":"string"},"payday":{"type":"string","format":"date","isRequired":true,"uniqueKey":"payday","typeLabel":"string\u003cdate>"},"period_start":{"type":"string","format":"date","isRequired":true,"uniqueKey":"period_start","typeLabel":"string\u003cdate>"},"period_end":{"type":"string","format":"date","isRequired":true,"uniqueKey":"period_end","typeLabel":"string\u003cdate>"},"hours_worked":{"type":"string","format":"decimal","pattern":"^-?\\d{0,3}(?:\\.\\d{0,2})?$","isRequired":true,"uniqueKey":"hours_worked","typeLabel":"string\u003cdecimal>"},"gross_pay":{"type":"string","format":"decimal","pattern":"^-?\\d{0,8}(?:\\.\\d{0,2})?$","isRequired":true,"uniqueKey":"gross_pay","typeLabel":"string\u003cdecimal>"},"payroll_provider_external_id":{"oneOf":[{"type":"string","maxLength":255,"description":"Unique identifier for the payroll payment in the payroll system.","isRequired":true,"uniqueKey":"payroll_provider_external_id.oneOf.0","typeLabel":"string"},{"type":"null","maxLength":255,"description":"Unique identifier for the payroll payment in the payroll system.","isRequired":true,"uniqueKey":"payroll_provider_external_id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"payroll_provider_external_id","typeLabel":"string | null"},"deductions":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","readOnly":true,"pattern":"^[-a-zA-Z0-9_]+$","isRequired":true,"uniqueKey":"deductions.oneOf.0.items.[INDEX].id","typeLabel":"string"},"line_of_coverage":{"enum":["medical","dental","vision","life","accidental_death","voluntary_life","voluntary_accidental_death","voluntary_critical_illness","lump_sum_disability","short_term_disability","voluntary_short_term_disability","long_term_disability","voluntary_long_term_disability","hospital_indemnity","accident","cancer","telemedicine","supplemental","employee_assistance_program","legal_services","pet_insurance","identity_theft_protection","hsa","healthcare_fsa","limited_purpose_fsa","dependent_care_fsa","commuter_transit","commuter_parking","401k","403b","457b","wellness","roth_401k","401k_loan","roth_403b","403b_loan","roth_457b","457b_loan"],"type":"string","description":"* `medical` - Medical\n* `dental` - Dental\n* `vision` - Vision\n* `life` - Life\n* `accidental_death` - Accidental Death and Dismemberment\n* `voluntary_life` - Voluntary Life\n* `voluntary_accidental_death` - Voluntary Accidental Death and Dismemberment\n* `voluntary_critical_illness` - Voluntary Critical Illness\n* `lump_sum_disability` - Lump Sum Disability\n* `short_term_disability` - Short Term Disability\n* `voluntary_short_term_disability` - Voluntary Short Term Disability\n* `long_term_disability` - Long Term Disability\n* `voluntary_long_term_disability` - Voluntary Long Term Disability\n* `hospital_indemnity` - Hospital Indemnity\n* `accident` - Accident\n* `cancer` - Cancer\n* `telemedicine` - Telemedicine\n* `supplemental` - Supplemental\n* `employee_assistance_program` - Employee Assistance Program\n* `legal_services` - Legal Services\n* `pet_insurance` - Pet Insurance\n* `identity_theft_protection` - Identity Theft Protection\n* `hsa` - HSA\n* `healthcare_fsa` - Healthcare FSA\n* `limited_purpose_fsa` - Limited Purpose FSA\n* `dependent_care_fsa` - Dependent Care FSA\n* `commuter_transit` - Commuter Transit\n* `commuter_parking` - Commuter Parking\n* `401k` - 401(k)\n* `403b` - 403(b)\n* `457b` - 457(b)\n* `wellness` - Wellness\n* `roth_401k` - Roth 401(k)\n* `401k_loan` - 401(k) Loan\n* `roth_403b` - Roth 403(b)\n* `403b_loan` - 403(b) Loan\n* `roth_457b` - Roth 457(b)\n* `457b_loan` - 457(b) Loan","isRequired":true,"uniqueKey":"deductions.oneOf.0.items.[INDEX].line_of_coverage","typeLabel":"enum\u003cstring>"},"taxability":{"enum":["pre_tax","post_tax"],"type":"string","description":"* `pre_tax` - Pre-tax\n* `post_tax` - Post-tax","isRequired":true,"uniqueKey":"deductions.oneOf.0.items.[INDEX].taxability","typeLabel":"enum\u003cstring>"},"payroll_benefit":{"oneOf":[{"type":"string","description":"ID of the payroll benefit this deduction was taken for, if it corresponds to a benefit configured in Clasp.","uniqueKey":"deductions.oneOf.0.items.[INDEX].payroll_benefit.oneOf.0","typeLabel":"string"},{"type":"null","description":"ID of the payroll benefit this deduction was taken for, if it corresponds to a benefit configured in Clasp.","uniqueKey":"deductions.oneOf.0.items.[INDEX].payroll_benefit.oneOf.1","typeLabel":"null"}],"uniqueKey":"deductions.oneOf.0.items.[INDEX].payroll_benefit","typeLabel":"string | null"},"description":{"oneOf":[{"type":"string","maxLength":255,"uniqueKey":"deductions.oneOf.0.items.[INDEX].description.oneOf.0","typeLabel":"string"},{"type":"null","maxLength":255,"uniqueKey":"deductions.oneOf.0.items.[INDEX].description.oneOf.1","typeLabel":"null"}],"uniqueKey":"deductions.oneOf.0.items.[INDEX].description","typeLabel":"string | null"},"employer_contribution":{"oneOf":[{"type":"string","format":"decimal","pattern":"^-?\\d{0,8}(?:\\.\\d{0,2})?$","description":"Amount contributed by the employer on this paycheck. May be negative for adjustments or voids.","uniqueKey":"deductions.oneOf.0.items.[INDEX].employer_contribution.oneOf.0","typeLabel":"string\u003cdecimal>"},{"type":"null","format":"decimal","pattern":"^-?\\d{0,8}(?:\\.\\d{0,2})?$","description":"Amount contributed by the employer on this paycheck. May be negative for adjustments or voids.","uniqueKey":"deductions.oneOf.0.items.[INDEX].employer_contribution.oneOf.1","typeLabel":"null"}],"uniqueKey":"deductions.oneOf.0.items.[INDEX].employer_contribution","typeLabel":"string\u003cdecimal> | null"},"member_contribution":{"type":"string","format":"decimal","pattern":"^-?\\d{0,8}(?:\\.\\d{0,2})?$","default":"0.00","description":"Amount withheld from the member on this paycheck. May be negative for adjustments or voids.","uniqueKey":"deductions.oneOf.0.items.[INDEX].member_contribution","typeLabel":"string\u003cdecimal>"}},"required":["id","line_of_coverage","taxability"],"uniqueKey":"deductions.oneOf.0.items.[INDEX]","typeLabel":"object"},"description":"Benefit deductions and contributions actually applied on this paycheck.","uniqueKey":"deductions.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","properties":{"id":{"type":"string","readOnly":true,"pattern":"^[-a-zA-Z0-9_]+$"},"payroll_benefit":{"oneOf":[{"type":"string","description":"ID of the payroll benefit this deduction was taken for, if it corresponds to a benefit configured in Clasp."},{"type":"null","description":"ID of the payroll benefit this deduction was taken for, if it corresponds to a benefit configured in Clasp."}]},"line_of_coverage":{"enum":["medical","dental","vision","life","accidental_death","voluntary_life","voluntary_accidental_death","voluntary_critical_illness","lump_sum_disability","short_term_disability","voluntary_short_term_disability","long_term_disability","voluntary_long_term_disability","hospital_indemnity","accident","cancer","telemedicine","supplemental","employee_assistance_program","legal_services","pet_insurance","identity_theft_protection","hsa","healthcare_fsa","limited_purpose_fsa","dependent_care_fsa","commuter_transit","commuter_parking","401k","403b","457b","wellness","roth_401k","401k_loan","roth_403b","403b_loan","roth_457b","457b_loan"],"type":"string","description":"* `medical` - Medical\n* `dental` - Dental\n* `vision` - Vision\n* `life` - Life\n* `accidental_death` - Accidental Death and Dismemberment\n* `voluntary_life` - Voluntary Life\n* `voluntary_accidental_death` - Voluntary Accidental Death and Dismemberment\n* `voluntary_critical_illness` - Voluntary Critical Illness\n* `lump_sum_disability` - Lump Sum Disability\n* `short_term_disability` - Short Term Disability\n* `voluntary_short_term_disability` - Voluntary Short Term Disability\n* `long_term_disability` - Long Term Disability\n* `voluntary_long_term_disability` - Voluntary Long Term Disability\n* `hospital_indemnity` - Hospital Indemnity\n* `accident` - Accident\n* `cancer` - Cancer\n* `telemedicine` - Telemedicine\n* `supplemental` - Supplemental\n* `employee_assistance_program` - Employee Assistance Program\n* `legal_services` - Legal Services\n* `pet_insurance` - Pet Insurance\n* `identity_theft_protection` - Identity Theft Protection\n* `hsa` - HSA\n* `healthcare_fsa` - Healthcare FSA\n* `limited_purpose_fsa` - Limited Purpose FSA\n* `dependent_care_fsa` - Dependent Care FSA\n* `commuter_transit` - Commuter Transit\n* `commuter_parking` - Commuter Parking\n* `401k` - 401(k)\n* `403b` - 403(b)\n* `457b` - 457(b)\n* `wellness` - Wellness\n* `roth_401k` - Roth 401(k)\n* `401k_loan` - 401(k) Loan\n* `roth_403b` - Roth 403(b)\n* `403b_loan` - 403(b) Loan\n* `roth_457b` - Roth 457(b)\n* `457b_loan` - 457(b) Loan"},"taxability":{"enum":["pre_tax","post_tax"],"type":"string","description":"* `pre_tax` - Pre-tax\n* `post_tax` - Post-tax"},"description":{"oneOf":[{"type":"string","maxLength":255},{"type":"null","maxLength":255}]},"employer_contribution":{"oneOf":[{"type":"string","format":"decimal","pattern":"^-?\\d{0,8}(?:\\.\\d{0,2})?$","description":"Amount contributed by the employer on this paycheck. May be negative for adjustments or voids."},{"type":"null","format":"decimal","pattern":"^-?\\d{0,8}(?:\\.\\d{0,2})?$","description":"Amount contributed by the employer on this paycheck. May be negative for adjustments or voids."}]},"member_contribution":{"type":"string","format":"decimal","pattern":"^-?\\d{0,8}(?:\\.\\d{0,2})?$","default":"0.00","description":"Amount withheld from the member on this paycheck. May be negative for adjustments or voids."}},"required":["id","line_of_coverage","taxability"]},"description":"Benefit deductions and contributions actually applied on this paycheck.","uniqueKey":"deductions.oneOf.1","typeLabel":"null"}],"uniqueKey":"deductions","typeLabel":"object[] | null"}},"required":["gross_pay","hours_worked","id","member","payday","period_end","period_start","payroll_provider_external_id"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":"\u003cstring>","member":"\u003cstring>","payday":"2023-12-25","period_start":"2023-12-25","period_end":"2023-12-25","hours_worked":"\u003cstring>","gross_pay":"\u003cstring>","payroll_provider_external_id":"\u003cstring>","deductions":[{"id":"\u003cstring>","line_of_coverage":"medical","taxability":"pre_tax","payroll_benefit":"\u003cstring>","description":"\u003cstring>","employer_contribution":"\u003cstring>","member_contribution":"0.00"}]}}},"exampleType":"generated"}},"description":"","exampleType":"generated"}},"security":{"a6378174-9286-4230-9ee6-c4b8d98644f5":{"tokenAuth":{"type":"http","scheme":"bearer","description":"API Key authentication with required prefix \"Bearer\"","scopes":[],"schemeName":"tokenAuth"}}},"servers":{},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"API Key authentication with required prefix \"Bearer\"","scopes":[],"schemeName":"tokenAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"API Key authentication with required prefix \"Bearer\"","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"tokenAuth","name":"Authorization"}],"title":"tokenAuth"}]},"originalFileLocation":"schemas/2023-08-25/schema.yaml"},"subdomain":"claspinc","siteName":"Clasp Docs","title":"Create Payroll Payment - Clasp Docs","navMaps":{"firstHrefInVersion":{"2026-04-24":{"href":"/api-reference/payroll_payments/post-payroll_payments","matchLevel":0},"2023-08-25":{"href":"/api-reference/payroll_payments/post-payroll_payments","matchLevel":0}},"firstHrefInLanguage":{}},"lastModified":"2026-04-01T05:12:29.763Z","originalFileLocation":"api-reference/payroll_payments/post-payroll_payments.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Creates a payroll payment to represent a paid paycheck for a given member to feed into ACA calculations.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Clasp Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/claspinc/-eUshaovCrjiIm9c/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/claspinc/-eUshaovCrjiIm9c/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/claspinc/-eUshaovCrjiIm9c/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/claspinc/-eUshaovCrjiIm9c/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/claspinc/-eUshaovCrjiIm9c/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/claspinc/-eUshaovCrjiIm9c/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/claspinc/-eUshaovCrjiIm9c/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/claspinc/-eUshaovCrjiIm9c/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/claspinc/-eUshaovCrjiIm9c/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create Payroll Payment - Clasp Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Creates a payroll payment to represent a paid paycheck for a given member to feed into ACA calculations.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Clasp Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.withclasp.com/api-reference/payroll_payments/post-payroll_payments\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://claspinc.mintlify.site/_mintlify/api/og/v2?division=Payroll+Payments\u0026amp;title=Create+Payroll+Payment\u0026amp;description=Creates+a+payroll+payment+to+represent+a+paid+paycheck+for+a+given+member+to+feed+into+ACA+calculations.\u0026amp;theme=f66b19129902774747224543\u0026amp;signature=427698a88a44a51d0579e0bd55bfdb484b10ee384663c6e0a98d5d3b7ff8083d\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create Payroll Payment - Clasp Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Creates a payroll payment to represent a paid paycheck for a given member to feed into ACA calculations.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://claspinc.mintlify.site/_mintlify/api/og/v2?division=Payroll+Payments\u0026amp;title=Create+Payroll+Payment\u0026amp;description=Creates+a+payroll+payment+to+represent+a+paid+paycheck+for+a+given+member+to+feed+into+ACA+calculations.\u0026amp;theme=f66b19129902774747224543\u0026amp;signature=427698a88a44a51d0579e0bd55bfdb484b10ee384663c6e0a98d5d3b7ff8083d\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/claspinc/-eUshaovCrjiIm9c/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Clasp Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#008668\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.withclasp.com/api-reference/payroll_payments/post-payroll_payments\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/payroll_payments/post-payroll_payments.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.withclasp.com/#organization\",\"name\":\"Clasp Docs\",\"url\":\"https://docs.withclasp.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/claspinc/pvG8MEAL7PTcGAI_/logo/light.svg?fit=max\u0026auto=format\u0026n=pvG8MEAL7PTcGAI_\u0026q=85\u0026s=91dca5eee8fbae406f7dfd19cd64a9f5\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.withclasp.com#website\",\"name\":\"Clasp Docs\",\"url\":\"https://docs.withclasp.com\",\"publisher\":{\"@id\":\"https://docs.withclasp.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.withclasp.com/api-reference/payroll_payments/post-payroll_payments#webpage\",\"url\":\"https://docs.withclasp.com/api-reference/payroll_payments/post-payroll_payments\",\"name\":\"Create Payroll Payment\",\"description\":\"Creates a payroll payment to represent a paid paycheck for a given member to feed into ACA calculations.\",\"dateModified\":\"2026-04-01T05:12:29.763Z\",\"isPartOf\":{\"@id\":\"https://docs.withclasp.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.withclasp.com/api-reference/payroll_payments/post-payroll_payments#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.withclasp.com/api-reference/payroll_payments/post-payroll_payments#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API Reference\",\"item\":\"https://docs.withclasp.com/api-reference/beneficiaries/get-beneficiaries\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Payroll Payments\",\"item\":\"https://docs.withclasp.com/api-reference/payroll_payments/get-payroll_payments\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Create Payroll Payment\",\"item\":\"https://docs.withclasp.com/api-reference/payroll_payments/post-payroll_payments\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.withclasp.com/api-reference/payroll_payments/post-payroll_payments#apireference\",\"headline\":\"Create Payroll Payment\",\"name\":\"Create Payroll Payment\",\"description\":\"Creates a payroll payment to represent a paid paycheck for a given member to feed into ACA calculations.\",\"url\":\"https://docs.withclasp.com/api-reference/payroll_payments/post-payroll_payments\",\"mainEntityOfPage\":{\"@id\":\"https://docs.withclasp.com/api-reference/payroll_payments/post-payroll_payments#webpage\"},\"dateModified\":\"2026-04-01T05:12:29.763Z\",\"publisher\":{\"@id\":\"https://docs.withclasp.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.withclasp.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Clasp Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Clasp Docs","nav":{"global":null,"versions":[{"version":"2026-04-24","groups":[{"group":"General","pages":[{"title":"Overview","icon":"bookmark","href":"/overview"},{"title":"Quickstart Guide","icon":"code","href":"/quickstart"},{"title":"SDK","icon":"bolt","href":"/SDK"}]},{"group":"General Guides","pages":[{"title":"Component Styling","href":"/guides/styling"},{"title":"Component Page Navigation","href":"/guides/navigation"},{"title":"Webhooks","href":"/guides/webhooks"},{"title":"Notifications","href":"/guides/notifications"}]},{"group":"API Usage Guides","pages":[{"title":"Authentication","href":"/guides/authentication"},{"title":"Versioning","href":"/guides/versioning"},{"title":"Pagination","href":"/guides/pagination"},{"title":"Error Handling","href":"/guides/error_handling"},{"title":"Rate Limiting","href":"/guides/rate_limiting"}]},{"group":"API Reference","pages":[{"group":"Beneficiaries","pages":[{"title":"List Beneficiaries","openapi":"schemas/2023-08-25/schema.yaml get /beneficiaries","href":"/api-reference/beneficiaries/get-beneficiaries"},{"title":"Create Beneficiary","openapi":"schemas/2023-08-25/schema.yaml post /beneficiaries","href":"/api-reference/beneficiaries/post-beneficiaries"},{"title":"Retrieve Beneficiary","openapi":"schemas/2023-08-25/schema.yaml get /beneficiaries/{public_id}","href":"/api-reference/beneficiaries/get-beneficiaries-1"},{"title":"Delete Beneficiary","openapi":"schemas/2023-08-25/schema.yaml delete /beneficiaries/{public_id}","href":"/api-reference/beneficiaries/delete-beneficiaries"},{"title":"Update Beneficiary","openapi":"schemas/2023-08-25/schema.yaml patch /beneficiaries/{public_id}","href":"/api-reference/beneficiaries/patch-beneficiaries"},{"title":"Reveal TIN","openapi":"schemas/2023-08-25/schema.yaml get /beneficiaries/{public_id}/reveal_tin","href":"/api-reference/beneficiaries/get-beneficiaries-reveal_tin"}]},{"group":"Beneficiary Allocations","pages":[{"title":"List Beneficiary Allocations","openapi":"schemas/2023-08-25/schema.yaml get /beneficiary_allocations","href":"/api-reference/beneficiary_allocations/get-beneficiary_allocations"},{"title":"Create Beneficiary Allocation","openapi":"schemas/2023-08-25/schema.yaml post /beneficiary_allocations","href":"/api-reference/beneficiary_allocations/post-beneficiary_allocations"},{"title":"Retrieve Beneficiary Allocation","openapi":"schemas/2023-08-25/schema.yaml get /beneficiary_allocations/{public_id}","href":"/api-reference/beneficiary_allocations/get-beneficiary_allocations-1"},{"title":"Delete Beneficiary Allocation","openapi":"schemas/2023-08-25/schema.yaml delete /beneficiary_allocations/{public_id}","href":"/api-reference/beneficiary_allocations/delete-beneficiary_allocations"},{"title":"Update Beneficiary Allocation","openapi":"schemas/2023-08-25/schema.yaml patch /beneficiary_allocations/{public_id}","href":"/api-reference/beneficiary_allocations/patch-beneficiary_allocations"}]},{"group":"Carriers","pages":[{"title":"List Carriers","openapi":"schemas/2023-08-25/schema.yaml get /carriers","href":"/api-reference/carriers/get-carriers"},{"title":"Retrieve Carrier","openapi":"schemas/2023-08-25/schema.yaml get /carriers/{public_id}","href":"/api-reference/carriers/get-carriers-1"}]},{"group":"Components (Embeddable UI)","pages":[{"title":"Employer Admin","openapi":"schemas/2023-08-25/schema.yaml post /components/employer","href":"/api-reference/components/post-componentsemployer"},{"title":"Member Admin","openapi":"schemas/2023-08-25/schema.yaml post /components/member","href":"/api-reference/components/post-componentsmember"}]},{"group":"Dependents","pages":[{"title":"List Dependents","openapi":"schemas/2023-08-25/schema.yaml get /dependents","href":"/api-reference/dependents/get-dependents"},{"title":"Create Dependent","openapi":"schemas/2023-08-25/schema.yaml post /dependents","href":"/api-reference/dependents/post-dependents"},{"title":"Retrieve Dependent","openapi":"schemas/2023-08-25/schema.yaml get /dependents/{public_id}","href":"/api-reference/dependents/get-dependents-1"},{"title":"Delete Dependent","openapi":"schemas/2023-08-25/schema.yaml delete /dependents/{public_id}","href":"/api-reference/dependents/delete-dependents"},{"title":"Update Dependent","openapi":"schemas/2023-08-25/schema.yaml patch /dependents/{public_id}","href":"/api-reference/dependents/patch-dependents"},{"title":"Reveal SSN","openapi":"schemas/2023-08-25/schema.yaml get /dependents/{public_id}/reveal_ssn","href":"/api-reference/dependents/get-dependents-reveal_ssn"}]},{"group":"Employer Documents","pages":[{"title":"List Employer Documents","openapi":"schemas/2023-08-25/schema.yaml get /employer_documents","href":"/api-reference/employer_documents/get-employer_documents"},{"title":"Create Employer Document","openapi":"schemas/2023-08-25/schema.yaml post /employer_documents","href":"/api-reference/employer_documents/post-employer_documents"},{"title":"Retrieve Employer Document","openapi":"schemas/2023-08-25/schema.yaml get /employer_documents/{public_id}","href":"/api-reference/employer_documents/get-employer_documents-1"},{"title":"Delete Employer Document","openapi":"schemas/2023-08-25/schema.yaml delete /employer_documents/{public_id}","href":"/api-reference/employer_documents/delete-employer_documents"},{"title":"Update Employer Document","openapi":"schemas/2023-08-25/schema.yaml patch /employer_documents/{public_id}","href":"/api-reference/employer_documents/patch-employer_documents"}]},{"group":"Employers","pages":[{"title":"List Employers","openapi":"schemas/2023-08-25/schema.yaml get /employers","href":"/api-reference/employers/get-employers"},{"title":"Create Employer","openapi":"schemas/2023-08-25/schema.yaml post /employers","href":"/api-reference/employers/post-employers"},{"title":"Retrieve Employer","openapi":"schemas/2023-08-25/schema.yaml get /employers/{public_id}","href":"/api-reference/employers/get-employers-1"},{"title":"Update Employer","openapi":"schemas/2023-08-25/schema.yaml patch /employers/{public_id}","href":"/api-reference/employers/patch-employers"}]},{"group":"Employer Assignments","pages":[{"title":"List Employer Assignments","openapi":"schemas/2023-08-25/schema.yaml get /employer_assignments","href":"/api-reference/employer_assignments/get-employer_assignments"},{"title":"Create Employer Assignment","openapi":"schemas/2023-08-25/schema.yaml post /employer_assignments","href":"/api-reference/employer_assignments/post-employer_assignments"},{"title":"Retrieve Employer Assignment","openapi":"schemas/2023-08-25/schema.yaml get /employer_assignments/{public_id}","href":"/api-reference/employer_assignments/get-employer_assignments-1"},{"title":"Delete Employer Assignment","openapi":"schemas/2023-08-25/schema.yaml delete /employer_assignments/{public_id}","href":"/api-reference/employer_assignments/delete-employer_assignments"}]},{"group":"Business Units","pages":[{"title":"List Business Units","openapi":"schemas/2023-08-25/schema.yaml get /business_units","href":"/api-reference/business_units/get-business_units"},{"title":"Create Business Unit","openapi":"schemas/2023-08-25/schema.yaml post /business_units","href":"/api-reference/business_units/post-business_units"},{"title":"Retrieve Business Unit","openapi":"schemas/2023-08-25/schema.yaml get /business_units/{public_id}","href":"/api-reference/business_units/get-business_units-1"},{"title":"Delete Business Unit","openapi":"schemas/2023-08-25/schema.yaml delete /business_units/{public_id}","href":"/api-reference/business_units/delete-business_units"},{"title":"Update Business Unit","openapi":"schemas/2023-08-25/schema.yaml patch /business_units/{public_id}","href":"/api-reference/business_units/patch-business_units"}]},{"group":"Enrollments","pages":[{"title":"List Enrollments","openapi":"schemas/2023-08-25/schema.yaml get /enrollments","href":"/api-reference/enrollments/get-enrollments"},{"title":"Retrieve Enrollment","openapi":"schemas/2023-08-25/schema.yaml get /enrollments/{public_id}","href":"/api-reference/enrollments/get-enrollments-1"},{"title":"Eligible Plans","openapi":"schemas/2023-08-25/schema.yaml post /enrollments/{public_id}/eligible_plans","href":"/api-reference/enrollments/post-enrollments-eligible_plans"},{"title":"Submit Enrollment","openapi":"schemas/2023-08-25/schema.yaml post /enrollments/{public_id}/save_and_submit","href":"/api-reference/enrollments/post-enrollments-save_and_submit"},{"title":"Reopen Enrollment","openapi":"schemas/2023-08-25/schema.yaml post /enrollments/{public_id}/reopen","href":"/api-reference/enrollments/post-enrollments-reopen"},{"title":"Approve Enrollment","openapi":"schemas/2023-08-25/schema.yaml post /enrollments/{public_id}/approve","href":"/api-reference/enrollments/post-enrollments-approve"},{"title":"Create Manual Enrollments","openapi":"schemas/2023-08-25/schema.yaml post /employers/{public_id}/manual_enrollments","href":"/api-reference/enrollments/post-employers-manual_enrollments"},{"title":"Delete Enrollment","openapi":"schemas/2023-08-25/schema.yaml delete /enrollments/{public_id}","href":"/api-reference/enrollments/delete-enrollments"}]},{"group":"Enrollment Windows","pages":[{"title":"List Enrollment Windows","openapi":"schemas/2023-08-25/schema.yaml get /enrollment_windows","href":"/api-reference/enrollment_windows/get-enrollment_windows"},{"title":"Retrieve Enrollment Window","openapi":"schemas/2023-08-25/schema.yaml get /enrollment_windows/{public_id}","href":"/api-reference/enrollment_windows/get-enrollment_windows-1"},{"title":"Update Enrollment Window","openapi":"schemas/2023-08-25/schema.yaml patch /enrollment_windows/{public_id}","href":"/api-reference/enrollment_windows/patch-enrollment_windows"}]},{"group":"EOI Requests","pages":[{"title":"List EOI Requests","openapi":"schemas/2023-08-25/schema.yaml get /eoi_requests","href":"/api-reference/eoi_requests/get-eoi_requests"},{"title":"Approve EOI Request","openapi":"schemas/2023-08-25/schema.yaml post /eoi_requests/approve","href":"/api-reference/eoi_requests/post-eoi_requests-approve"},{"title":"Dismiss EOI Request","openapi":"schemas/2023-08-25/schema.yaml post /eoi_requests/dismiss","href":"/api-reference/eoi_requests/post-eoi_requests-dismiss"}]},{"group":"Members","pages":[{"title":"List Members","openapi":"schemas/2023-08-25/schema.yaml get /members","href":"/api-reference/members/get-members"},{"title":"Create Member","openapi":"schemas/2023-08-25/schema.yaml post /members","href":"/api-reference/members/post-members"},{"title":"Retrieve Member","openapi":"schemas/2023-08-25/schema.yaml get /members/{public_id}","href":"/api-reference/members/get-members-1"},{"title":"Delete Member","openapi":"schemas/2023-08-25/schema.yaml delete /members/{public_id}","href":"/api-reference/members/delete-members"},{"title":"Update Member","openapi":"schemas/2023-08-25/schema.yaml patch /members/{public_id}","href":"/api-reference/members/patch-members"},{"title":"Start Open Enrollment","openapi":"schemas/2023-08-25/schema.yaml post /members/{public_id}/begin_open_enrollment","href":"/api-reference/members/post-members-begin_open_enrollment"},{"title":"Create New Hire Enrollment","openapi":"schemas/2023-08-25/schema.yaml post /members/{public_id}/new_hire_enrollment","href":"/api-reference/members/post-members-new_hire_enrollment"},{"title":"Create Qualifying Life Event","openapi":"schemas/2023-08-25/schema.yaml post /members/{public_id}/qualifying_life_event","href":"/api-reference/members/post-members-qualifying_life_event"},{"title":"Reveal SSN","openapi":"schemas/2023-08-25/schema.yaml get /members/{public_id}/reveal_ssn","href":"/api-reference/members/get-members-reveal_ssn"}]},{"group":"Member Documents","pages":[{"title":"List Member Documents","openapi":"schemas/2023-08-25/schema.yaml get /member_documents","href":"/api-reference/member_documents/get-member_documents"},{"title":"Create Member Document","openapi":"schemas/2023-08-25/schema.yaml post /member_documents","href":"/api-reference/member_documents/post-member_documents"},{"title":"Retrieve Member Document","openapi":"schemas/2023-08-25/schema.yaml get /member_documents/{public_id}","href":"/api-reference/member_documents/get-member_documents-1"},{"title":"Delete Member Document","openapi":"schemas/2023-08-25/schema.yaml delete /member_documents/{public_id}","href":"/api-reference/member_documents/delete-member_documents"},{"title":"Update Member Document","openapi":"schemas/2023-08-25/schema.yaml patch /member_documents/{public_id}","href":"/api-reference/member_documents/patch-member_documents"}]},{"group":"Member ID Cards","pages":[{"title":"List Member ID Cards","openapi":"schemas/2023-08-25/schema.yaml get /member_id_cards","href":"/api-reference/member_id_cards/get-member_id_cards"},{"title":"Create Member ID Card","openapi":"schemas/2023-08-25/schema.yaml post /member_id_cards","href":"/api-reference/member_id_cards/post-member_id_cards"},{"title":"Retrieve Member ID Card","openapi":"schemas/2023-08-25/schema.yaml get /member_id_cards/{public_id}","href":"/api-reference/member_id_cards/get-member_id_cards-1"},{"title":"Delete Member ID Card","openapi":"schemas/2023-08-25/schema.yaml delete /member_id_cards/{public_id}","href":"/api-reference/member_id_cards/delete-member_id_cards"},{"title":"Update Member ID Card","openapi":"schemas/2023-08-25/schema.yaml patch /member_id_cards/{public_id}","href":"/api-reference/member_id_cards/patch-member_id_cards"},{"title":"Assign Member ID Card","openapi":"schemas/2023-08-25/schema.yaml put /members/{public_id}/member_id_card","href":"/api-reference/member_id_cards/put-members-member_id_card"}]},{"group":"Notifications","pages":[{"title":"List Notifications","openapi":"schemas/2023-08-25/schema.yaml get /notifications","href":"/api-reference/notifications/get-notifications"},{"title":"Retrieve Notification","openapi":"schemas/2023-08-25/schema.yaml get /notifications/{public_id}","href":"/api-reference/notifications/get-notifications-1"}]},{"group":"Open Enrollment Windows","pages":[{"title":"List Open Enrollment Windows","openapi":"schemas/2023-08-25/schema.yaml get /open_enrollment_windows","href":"/api-reference/open_enrollment_windows/get-open-enrollment-windows"},{"title":"Create Open Enrollment Window","openapi":"schemas/2023-08-25/schema.yaml post /open_enrollment_windows","href":"/api-reference/open_enrollment_windows/post-open-enrollment-windows"},{"title":"Retrieve Open Enrollment Window","openapi":"schemas/2023-08-25/schema.yaml get /open_enrollment_windows/{public_id}","href":"/api-reference/open_enrollment_windows/get-open-enrollment-windows-1"},{"title":"Update Open Enrollment Window","openapi":"schemas/2023-08-25/schema.yaml patch /open_enrollment_windows/{public_id}","href":"/api-reference/open_enrollment_windows/patch-open-enrollment-windows"},{"title":"Activate Open Enrollment Window","openapi":"schemas/2023-08-25/schema.yaml post /open_enrollment_windows/{public_id}/activate","href":"/api-reference/open_enrollment_windows/post-open-enrollment-windows-activate"},{"title":"Close Open Enrollment Window","openapi":"schemas/2023-08-25/schema.yaml post /open_enrollment_windows/{public_id}/close","href":"/api-reference/open_enrollment_windows/post-open-enrollment-windows-close"},{"title":"Complete Open Enrollment Window","openapi":"schemas/2023-08-25/schema.yaml post /open_enrollment_windows/{public_id}/complete","href":"/api-reference/open_enrollment_windows/post-open-enrollment-windows-complete"},{"title":"Reopen Open Enrollment Window","openapi":"schemas/2023-08-25/schema.yaml post /open_enrollment_windows/{public_id}/reopen","href":"/api-reference/open_enrollment_windows/post-open-enrollment-windows-reopen"},{"title":"Get Change Report","openapi":"schemas/2023-08-25/schema.yaml get /open_enrollment_windows/{public_id}/change_report","href":"/api-reference/open_enrollment_windows/get-open-enrollment-windows-change_report"},{"title":"Get Completed Members","openapi":"schemas/2023-08-25/schema.yaml get /open_enrollment_windows/{public_id}/completed_members","href":"/api-reference/open_enrollment_windows/get-open-enrollment-windows-completed_members"},{"title":"Get Incomplete Members","openapi":"schemas/2023-08-25/schema.yaml get /open_enrollment_windows/{public_id}/incomplete_members","href":"/api-reference/open_enrollment_windows/get-open-enrollment-windows-incomplete_members"},{"title":"Get Incomplete Members Report","openapi":"schemas/2023-08-25/schema.yaml get /open_enrollment_windows/{public_id}/incomplete_members_report","href":"/api-reference/open_enrollment_windows/get-open-enrollment-windows-incomplete_members_report"},{"title":"Get Enrollment Census","openapi":"schemas/2023-08-25/schema.yaml get /open_enrollment_windows/{public_id}/enrollment_census","href":"/api-reference/open_enrollment_windows/get-open-enrollment-windows-enrollment_census"}]},{"group":"Pay Rates","pages":[{"title":"List Pay Pay Rates","openapi":"schemas/2023-08-25/schema.yaml get /pay_rates","href":"/api-reference/pay_rates/get-pay_rates"},{"title":"Create Pay Rate","openapi":"schemas/2023-08-25/schema.yaml post /pay_rates","href":"/api-reference/pay_rates/post-pay_rates"},{"title":"Retrieve Pay Rate","openapi":"schemas/2023-08-25/schema.yaml get /pay_rates/{public_id}","href":"/api-reference/pay_rates/get-pay_rates-1"},{"title":"Delete Pay Rate","openapi":"schemas/2023-08-25/schema.yaml delete /pay_rates/{public_id}","href":"/api-reference/pay_rates/delete-pay_rates"},{"title":"Update Pay Rate","openapi":"schemas/2023-08-25/schema.yaml patch /pay_rates/{public_id}","href":"/api-reference/pay_rates/patch-pay_rates"}]},{"group":"Payroll Benefits","pages":[{"title":"List Payroll Benefits","openapi":"schemas/2023-08-25/schema.yaml get /payroll_benefits","href":"/api-reference/payroll_benefits/get-payroll_benefits"},{"title":"Retrieve Payroll Benefit","openapi":"schemas/2023-08-25/schema.yaml get /payroll_benefits/{public_id}","href":"/api-reference/payroll_benefits/get-payroll_benefits-1"},{"title":"Update Payroll Benefit","openapi":"schemas/2023-08-25/schema.yaml patch /payroll_benefits/{public_id}","href":"/api-reference/payroll_benefits/patch-payroll_benefits"}]},{"group":"Payroll Payments","pages":[{"title":"List Payroll Payments","openapi":"schemas/2023-08-25/schema.yaml get /payroll_payments","href":"/api-reference/payroll_payments/get-payroll_payments"},{"title":"Retrieve Payroll Payment","openapi":"schemas/2023-08-25/schema.yaml get /payroll_payments/{public_id}","description":null,"href":"/api-reference/payroll_payments/get-payroll_payments-1"},{"title":"Create Payroll Payment","openapi":"schemas/2023-08-25/schema.yaml post /payroll_payments","href":"/api-reference/payroll_payments/post-payroll_payments"}]},{"group":"Groups","pages":[{"title":"List Groups","openapi":"schemas/2023-08-25/schema.yaml get /groups","description":null,"href":"/api-reference/groups/get-groups"},{"title":"Retrieve Group","openapi":"schemas/2023-08-25/schema.yaml get /groups/{public_id}","href":"/api-reference/groups/get-groups-1"},{"title":"Update Group","openapi":"schemas/2023-08-25/schema.yaml patch /groups/{public_id}","href":"/api-reference/groups/patch-groups"},{"title":"Create Group","openapi":"schemas/2023-08-25/schema.yaml post /groups","href":"/api-reference/groups/post-groups"}]},{"group":"Plans","pages":[{"title":"List Plans","openapi":"schemas/2023-08-25/schema.yaml get /plans","href":"/api-reference/plans/get-plans"},{"title":"Retrieve Plan","openapi":"schemas/2023-08-25/schema.yaml get /plans/{public_id}","href":"/api-reference/plans/get-plans-1"},{"title":"Update Plan","openapi":"schemas/2023-08-25/schema.yaml patch /plans/{public_id}","href":"/api-reference/plans/patch-plans"},{"title":"Create Plan","openapi":"schemas/2023-08-25/schema.yaml post /plans","href":"/api-reference/plans/post-plans"},{"title":"Define Premiums","openapi":"schemas/2023-08-25/schema.yaml post /plans/{public_id}/premiums","href":"/api-reference/plans/post-plan-premiums"},{"title":"Retrieve Premiums","openapi":"schemas/2023-08-25/schema.yaml get /plans/{public_id}/premiums","href":"/api-reference/plans/get-plan-premiums"}]},{"group":"Plan Configurations","pages":[{"title":"List Plan Configurations","openapi":"schemas/2023-08-25/schema.yaml get /plan_configurations","href":"/api-reference/plan_configurations/get-plan-configurations-list"},{"title":"Retrieve Plan Configuration","openapi":"schemas/2023-08-25/schema.yaml get /plan_configurations/{public_id}","href":"/api-reference/plan_configurations/get-plan-configurations"},{"title":"Create Plan Configuration","openapi":"schemas/2023-08-25/schema.yaml post /plan_configurations","href":"/api-reference/plan_configurations/post-plan-configurations"},{"title":"Retrieve Contribution Strategy","openapi":"schemas/2026-04-24/schema.yaml get /plan_configurations/{public_id}/contribution_strategy","href":"/api-reference/plan_configurations/2026-04-24/get-plan-configurations-contribution_strategy"},{"title":"Define Contribution Strategy","openapi":"schemas/2026-04-24/schema.yaml post /plan_configurations/{public_id}/contribution_strategy","href":"/api-reference/plan_configurations/2026-04-24/post-plan-configurations-contribution_strategy"}]},{"group":"Quotes","pages":[{"title":"Lines of Coverage","openapi":"schemas/2023-08-25/schema.yaml get /quotes/lines_of_coverage","href":"/api-reference/quotes/get-quotes-lines_of_coverage"},{"title":"List Quotes","openapi":"schemas/2023-08-25/schema.yaml get /quotes","href":"/api-reference/quotes/get-quotes"},{"title":"Create Quote","openapi":"schemas/2023-08-25/schema.yaml post /quotes","href":"/api-reference/quotes/post-quotes"},{"title":"Retrieve Quote","openapi":"schemas/2023-08-25/schema.yaml get /quotes/{public_id}","href":"/api-reference/quotes/get-quotes-1"},{"title":"Update Quote","openapi":"schemas/2023-08-25/schema.yaml patch /quotes/{public_id}","href":"/api-reference/quotes/patch-quotes"},{"title":"Select Plans","openapi":"schemas/2023-08-25/schema.yaml post /quotes/{public_id}/select_plans","href":"/api-reference/quotes/post-quotes-select_plans"},{"title":"Submit Quote","openapi":"schemas/2023-08-25/schema.yaml post /quotes/{public_id}/submit","href":"/api-reference/quotes/post-quotes-submit"}]},{"group":"Premiums","pages":[{"title":"Calculate Age Banded Table","openapi":"schemas/2023-08-25/schema.yaml post /premiums/age_banded_table","href":"/api-reference/premiums/post-age-banded-table"}]},{"group":"Subclasses","pages":[{"title":"List Subclasses","openapi":"schemas/2023-08-25/schema.yaml get /subclasses","href":"/api-reference/subclasses/get-subclass"},{"title":"Create Subclass","openapi":"schemas/2023-08-25/schema.yaml post /subclasses","href":"/api-reference/subclasses/post-subclass"},{"title":"Retrieve Subclass","openapi":"schemas/2023-08-25/schema.yaml get /subclasses/{public_id}","href":"/api-reference/subclasses/get-subclass-1"},{"title":"Delete Subclass","openapi":"schemas/2023-08-25/schema.yaml delete /subclasses/{public_id}","href":"/api-reference/subclasses/delete-subclass"},{"title":"Update Subclass","openapi":"schemas/2023-08-25/schema.yaml patch /subclasses/{public_id}","href":"/api-reference/subclasses/patch-subclass"}]},{"group":"Benefit Changes","pages":[{"title":"List Benefit Changes","openapi":"schemas/2023-08-25/schema.yaml get /benefit_changes","href":"/api-reference/benefit_changes/get-benefit_changes"},{"title":"Retrieve Benefit Change","openapi":"schemas/2023-08-25/schema.yaml get /benefit_changes/{public_id}","href":"/api-reference/benefit_changes/get-benefit_changes-1"},{"title":"Complete Benefit Change","openapi":"schemas/2023-08-25/schema.yaml post /benefit_changes/{public_id}/complete","href":"/api-reference/benefit_changes/post-benefit_changes-complete"},{"title":"List Benefit Changes for an Enrollment","openapi":"schemas/2023-08-25/schema.yaml get /enrollments/{public_id}/benefit_changes","href":"/api-reference/benefit_changes/get-enrollments-benefit_changes"}]},{"group":"Reports","pages":[{"title":"Enrollment Census","openapi":"schemas/2023-08-25/schema.yaml get /employers/{public_id}/reports/enrollment_census","href":"/api-reference/reports/enrollment_census"},{"title":"Member Census","openapi":"schemas/2023-08-25/schema.yaml get /employers/{public_id}/reports/member_census","href":"/api-reference/reports/member_census"},{"title":"Payroll Deductions","openapi":"schemas/2023-08-25/schema.yaml get /employers/{public_id}/reports/payroll_deductions","href":"/api-reference/reports/payroll_deductions"}]}]}]},{"version":"2023-08-25","groups":[{"group":"General","pages":[{"title":"Overview","icon":"bookmark","href":"/overview"},{"title":"Quickstart Guide","icon":"code","href":"/quickstart"},{"title":"SDK","icon":"bolt","href":"/SDK"}]},{"group":"General Guides","pages":[{"title":"Component Styling","href":"/guides/styling"},{"title":"Component Page Navigation","href":"/guides/navigation"},{"title":"Webhooks","href":"/guides/webhooks"},{"title":"Notifications","href":"/guides/notifications"}]},{"group":"API Usage Guides","pages":[{"title":"Authentication","href":"/guides/authentication"},{"title":"Versioning","href":"/guides/versioning"},{"title":"Pagination","href":"/guides/pagination"},{"title":"Error Handling","href":"/guides/error_handling"},{"title":"Rate Limiting","href":"/guides/rate_limiting"}]},{"group":"API Reference","pages":[{"group":"Beneficiaries","pages":[{"title":"List Beneficiaries","openapi":"schemas/2023-08-25/schema.yaml get /beneficiaries","href":"/api-reference/beneficiaries/get-beneficiaries"},{"title":"Create Beneficiary","openapi":"schemas/2023-08-25/schema.yaml post /beneficiaries","href":"/api-reference/beneficiaries/post-beneficiaries"},{"title":"Retrieve Beneficiary","openapi":"schemas/2023-08-25/schema.yaml get /beneficiaries/{public_id}","href":"/api-reference/beneficiaries/get-beneficiaries-1"},{"title":"Delete Beneficiary","openapi":"schemas/2023-08-25/schema.yaml delete /beneficiaries/{public_id}","href":"/api-reference/beneficiaries/delete-beneficiaries"},{"title":"Update Beneficiary","openapi":"schemas/2023-08-25/schema.yaml patch /beneficiaries/{public_id}","href":"/api-reference/beneficiaries/patch-beneficiaries"},{"title":"Reveal TIN","openapi":"schemas/2023-08-25/schema.yaml get /beneficiaries/{public_id}/reveal_tin","href":"/api-reference/beneficiaries/get-beneficiaries-reveal_tin"}]},{"group":"Beneficiary Allocations","pages":[{"title":"List Beneficiary Allocations","openapi":"schemas/2023-08-25/schema.yaml get /beneficiary_allocations","href":"/api-reference/beneficiary_allocations/get-beneficiary_allocations"},{"title":"Create Beneficiary Allocation","openapi":"schemas/2023-08-25/schema.yaml post /beneficiary_allocations","href":"/api-reference/beneficiary_allocations/post-beneficiary_allocations"},{"title":"Retrieve Beneficiary Allocation","openapi":"schemas/2023-08-25/schema.yaml get /beneficiary_allocations/{public_id}","href":"/api-reference/beneficiary_allocations/get-beneficiary_allocations-1"},{"title":"Delete Beneficiary Allocation","openapi":"schemas/2023-08-25/schema.yaml delete /beneficiary_allocations/{public_id}","href":"/api-reference/beneficiary_allocations/delete-beneficiary_allocations"},{"title":"Update Beneficiary Allocation","openapi":"schemas/2023-08-25/schema.yaml patch /beneficiary_allocations/{public_id}","href":"/api-reference/beneficiary_allocations/patch-beneficiary_allocations"}]},{"group":"Carriers","pages":[{"title":"List Carriers","openapi":"schemas/2023-08-25/schema.yaml get /carriers","href":"/api-reference/carriers/get-carriers"},{"title":"Retrieve Carrier","openapi":"schemas/2023-08-25/schema.yaml get /carriers/{public_id}","href":"/api-reference/carriers/get-carriers-1"}]},{"group":"Components (Embeddable UI)","pages":[{"title":"Employer Admin","openapi":"schemas/2023-08-25/schema.yaml post /components/employer","href":"/api-reference/components/post-componentsemployer"},{"title":"Member Admin","openapi":"schemas/2023-08-25/schema.yaml post /components/member","href":"/api-reference/components/post-componentsmember"}]},{"group":"Dependents","pages":[{"title":"List Dependents","openapi":"schemas/2023-08-25/schema.yaml get /dependents","href":"/api-reference/dependents/get-dependents"},{"title":"Create Dependent","openapi":"schemas/2023-08-25/schema.yaml post /dependents","href":"/api-reference/dependents/post-dependents"},{"title":"Retrieve Dependent","openapi":"schemas/2023-08-25/schema.yaml get /dependents/{public_id}","href":"/api-reference/dependents/get-dependents-1"},{"title":"Delete Dependent","openapi":"schemas/2023-08-25/schema.yaml delete /dependents/{public_id}","href":"/api-reference/dependents/delete-dependents"},{"title":"Update Dependent","openapi":"schemas/2023-08-25/schema.yaml patch /dependents/{public_id}","href":"/api-reference/dependents/patch-dependents"},{"title":"Reveal SSN","openapi":"schemas/2023-08-25/schema.yaml get /dependents/{public_id}/reveal_ssn","href":"/api-reference/dependents/get-dependents-reveal_ssn"}]},{"group":"Employer Documents","pages":[{"title":"List Employer Documents","openapi":"schemas/2023-08-25/schema.yaml get /employer_documents","href":"/api-reference/employer_documents/get-employer_documents"},{"title":"Create Employer Document","openapi":"schemas/2023-08-25/schema.yaml post /employer_documents","href":"/api-reference/employer_documents/post-employer_documents"},{"title":"Retrieve Employer Document","openapi":"schemas/2023-08-25/schema.yaml get /employer_documents/{public_id}","href":"/api-reference/employer_documents/get-employer_documents-1"},{"title":"Delete Employer Document","openapi":"schemas/2023-08-25/schema.yaml delete /employer_documents/{public_id}","href":"/api-reference/employer_documents/delete-employer_documents"},{"title":"Update Employer Document","openapi":"schemas/2023-08-25/schema.yaml patch /employer_documents/{public_id}","href":"/api-reference/employer_documents/patch-employer_documents"}]},{"group":"Employers","pages":[{"title":"List Employers","openapi":"schemas/2023-08-25/schema.yaml get /employers","href":"/api-reference/employers/get-employers"},{"title":"Create Employer","openapi":"schemas/2023-08-25/schema.yaml post /employers","href":"/api-reference/employers/post-employers"},{"title":"Retrieve Employer","openapi":"schemas/2023-08-25/schema.yaml get /employers/{public_id}","href":"/api-reference/employers/get-employers-1"},{"title":"Update Employer","openapi":"schemas/2023-08-25/schema.yaml patch /employers/{public_id}","href":"/api-reference/employers/patch-employers"}]},{"group":"Employer Assignments","pages":[{"title":"List Employer Assignments","openapi":"schemas/2023-08-25/schema.yaml get /employer_assignments","href":"/api-reference/employer_assignments/get-employer_assignments"},{"title":"Create Employer Assignment","openapi":"schemas/2023-08-25/schema.yaml post /employer_assignments","href":"/api-reference/employer_assignments/post-employer_assignments"},{"title":"Retrieve Employer Assignment","openapi":"schemas/2023-08-25/schema.yaml get /employer_assignments/{public_id}","href":"/api-reference/employer_assignments/get-employer_assignments-1"},{"title":"Delete Employer Assignment","openapi":"schemas/2023-08-25/schema.yaml delete /employer_assignments/{public_id}","href":"/api-reference/employer_assignments/delete-employer_assignments"}]},{"group":"Business Units","pages":[{"title":"List Business Units","openapi":"schemas/2023-08-25/schema.yaml get /business_units","href":"/api-reference/business_units/get-business_units"},{"title":"Create Business Unit","openapi":"schemas/2023-08-25/schema.yaml post /business_units","href":"/api-reference/business_units/post-business_units"},{"title":"Retrieve Business Unit","openapi":"schemas/2023-08-25/schema.yaml get /business_units/{public_id}","href":"/api-reference/business_units/get-business_units-1"},{"title":"Delete Business Unit","openapi":"schemas/2023-08-25/schema.yaml delete /business_units/{public_id}","href":"/api-reference/business_units/delete-business_units"},{"title":"Update Business Unit","openapi":"schemas/2023-08-25/schema.yaml patch /business_units/{public_id}","href":"/api-reference/business_units/patch-business_units"}]},{"group":"Enrollments","pages":[{"title":"List Enrollments","openapi":"schemas/2023-08-25/schema.yaml get /enrollments","href":"/api-reference/enrollments/get-enrollments"},{"title":"Retrieve Enrollment","openapi":"schemas/2023-08-25/schema.yaml get /enrollments/{public_id}","href":"/api-reference/enrollments/get-enrollments-1"},{"title":"Eligible Plans","openapi":"schemas/2023-08-25/schema.yaml post /enrollments/{public_id}/eligible_plans","href":"/api-reference/enrollments/post-enrollments-eligible_plans"},{"title":"Submit Enrollment","openapi":"schemas/2023-08-25/schema.yaml post /enrollments/{public_id}/save_and_submit","href":"/api-reference/enrollments/post-enrollments-save_and_submit"},{"title":"Reopen Enrollment","openapi":"schemas/2023-08-25/schema.yaml post /enrollments/{public_id}/reopen","href":"/api-reference/enrollments/post-enrollments-reopen"},{"title":"Approve Enrollment","openapi":"schemas/2023-08-25/schema.yaml post /enrollments/{public_id}/approve","href":"/api-reference/enrollments/post-enrollments-approve"},{"title":"Create Manual Enrollments","openapi":"schemas/2023-08-25/schema.yaml post /employers/{public_id}/manual_enrollments","href":"/api-reference/enrollments/post-employers-manual_enrollments"},{"title":"Delete Enrollment","openapi":"schemas/2023-08-25/schema.yaml delete /enrollments/{public_id}","href":"/api-reference/enrollments/delete-enrollments"}]},{"group":"Enrollment Windows","pages":[{"title":"List Enrollment Windows","openapi":"schemas/2023-08-25/schema.yaml get /enrollment_windows","href":"/api-reference/enrollment_windows/get-enrollment_windows"},{"title":"Retrieve Enrollment Window","openapi":"schemas/2023-08-25/schema.yaml get /enrollment_windows/{public_id}","href":"/api-reference/enrollment_windows/get-enrollment_windows-1"},{"title":"Update Enrollment Window","openapi":"schemas/2023-08-25/schema.yaml patch /enrollment_windows/{public_id}","href":"/api-reference/enrollment_windows/patch-enrollment_windows"}]},{"group":"EOI Requests","pages":[{"title":"List EOI Requests","openapi":"schemas/2023-08-25/schema.yaml get /eoi_requests","href":"/api-reference/eoi_requests/get-eoi_requests"},{"title":"Approve EOI Request","openapi":"schemas/2023-08-25/schema.yaml post /eoi_requests/approve","href":"/api-reference/eoi_requests/post-eoi_requests-approve"},{"title":"Dismiss EOI Request","openapi":"schemas/2023-08-25/schema.yaml post /eoi_requests/dismiss","href":"/api-reference/eoi_requests/post-eoi_requests-dismiss"}]},{"group":"Members","pages":[{"title":"List Members","openapi":"schemas/2023-08-25/schema.yaml get /members","href":"/api-reference/members/get-members"},{"title":"Create Member","openapi":"schemas/2023-08-25/schema.yaml post /members","href":"/api-reference/members/post-members"},{"title":"Retrieve Member","openapi":"schemas/2023-08-25/schema.yaml get /members/{public_id}","href":"/api-reference/members/get-members-1"},{"title":"Delete Member","openapi":"schemas/2023-08-25/schema.yaml delete /members/{public_id}","href":"/api-reference/members/delete-members"},{"title":"Update Member","openapi":"schemas/2023-08-25/schema.yaml patch /members/{public_id}","href":"/api-reference/members/patch-members"},{"title":"Start Open Enrollment","openapi":"schemas/2023-08-25/schema.yaml post /members/{public_id}/begin_open_enrollment","href":"/api-reference/members/post-members-begin_open_enrollment"},{"title":"Create New Hire Enrollment","openapi":"schemas/2023-08-25/schema.yaml post /members/{public_id}/new_hire_enrollment","href":"/api-reference/members/post-members-new_hire_enrollment"},{"title":"Create Qualifying Life Event","openapi":"schemas/2023-08-25/schema.yaml post /members/{public_id}/qualifying_life_event","href":"/api-reference/members/post-members-qualifying_life_event"},{"title":"Reveal SSN","openapi":"schemas/2023-08-25/schema.yaml get /members/{public_id}/reveal_ssn","href":"/api-reference/members/get-members-reveal_ssn"}]},{"group":"Member Documents","pages":[{"title":"List Member Documents","openapi":"schemas/2023-08-25/schema.yaml get /member_documents","href":"/api-reference/member_documents/get-member_documents"},{"title":"Create Member Document","openapi":"schemas/2023-08-25/schema.yaml post /member_documents","href":"/api-reference/member_documents/post-member_documents"},{"title":"Retrieve Member Document","openapi":"schemas/2023-08-25/schema.yaml get /member_documents/{public_id}","href":"/api-reference/member_documents/get-member_documents-1"},{"title":"Delete Member Document","openapi":"schemas/2023-08-25/schema.yaml delete /member_documents/{public_id}","href":"/api-reference/member_documents/delete-member_documents"},{"title":"Update Member Document","openapi":"schemas/2023-08-25/schema.yaml patch /member_documents/{public_id}","href":"/api-reference/member_documents/patch-member_documents"}]},{"group":"Member ID Cards","pages":[{"title":"List Member ID Cards","openapi":"schemas/2023-08-25/schema.yaml get /member_id_cards","href":"/api-reference/member_id_cards/get-member_id_cards"},{"title":"Create Member ID Card","openapi":"schemas/2023-08-25/schema.yaml post /member_id_cards","href":"/api-reference/member_id_cards/post-member_id_cards"},{"title":"Retrieve Member ID Card","openapi":"schemas/2023-08-25/schema.yaml get /member_id_cards/{public_id}","href":"/api-reference/member_id_cards/get-member_id_cards-1"},{"title":"Delete Member ID Card","openapi":"schemas/2023-08-25/schema.yaml delete /member_id_cards/{public_id}","href":"/api-reference/member_id_cards/delete-member_id_cards"},{"title":"Update Member ID Card","openapi":"schemas/2023-08-25/schema.yaml patch /member_id_cards/{public_id}","href":"/api-reference/member_id_cards/patch-member_id_cards"},{"title":"Assign Member ID Card","openapi":"schemas/2023-08-25/schema.yaml put /members/{public_id}/member_id_card","href":"/api-reference/member_id_cards/put-members-member_id_card"}]},{"group":"Notifications","pages":[{"title":"List Notifications","openapi":"schemas/2023-08-25/schema.yaml get /notifications","href":"/api-reference/notifications/get-notifications"},{"title":"Retrieve Notification","openapi":"schemas/2023-08-25/schema.yaml get /notifications/{public_id}","href":"/api-reference/notifications/get-notifications-1"}]},{"group":"Open Enrollment Windows","pages":[{"title":"List Open Enrollment Windows","openapi":"schemas/2023-08-25/schema.yaml get /open_enrollment_windows","href":"/api-reference/open_enrollment_windows/get-open-enrollment-windows"},{"title":"Create Open Enrollment Window","openapi":"schemas/2023-08-25/schema.yaml post /open_enrollment_windows","href":"/api-reference/open_enrollment_windows/post-open-enrollment-windows"},{"title":"Retrieve Open Enrollment Window","openapi":"schemas/2023-08-25/schema.yaml get /open_enrollment_windows/{public_id}","href":"/api-reference/open_enrollment_windows/get-open-enrollment-windows-1"},{"title":"Update Open Enrollment Window","openapi":"schemas/2023-08-25/schema.yaml patch /open_enrollment_windows/{public_id}","href":"/api-reference/open_enrollment_windows/patch-open-enrollment-windows"},{"title":"Activate Open Enrollment Window","openapi":"schemas/2023-08-25/schema.yaml post /open_enrollment_windows/{public_id}/activate","href":"/api-reference/open_enrollment_windows/post-open-enrollment-windows-activate"},{"title":"Close Open Enrollment Window","openapi":"schemas/2023-08-25/schema.yaml post /open_enrollment_windows/{public_id}/close","href":"/api-reference/open_enrollment_windows/post-open-enrollment-windows-close"},{"title":"Complete Open Enrollment Window","openapi":"schemas/2023-08-25/schema.yaml post /open_enrollment_windows/{public_id}/complete","href":"/api-reference/open_enrollment_windows/post-open-enrollment-windows-complete"},{"title":"Reopen Open Enrollment Window","openapi":"schemas/2023-08-25/schema.yaml post /open_enrollment_windows/{public_id}/reopen","href":"/api-reference/open_enrollment_windows/post-open-enrollment-windows-reopen"},{"title":"Get Change Report","openapi":"schemas/2023-08-25/schema.yaml get /open_enrollment_windows/{public_id}/change_report","href":"/api-reference/open_enrollment_windows/get-open-enrollment-windows-change_report"},{"title":"Get Completed Members","openapi":"schemas/2023-08-25/schema.yaml get /open_enrollment_windows/{public_id}/completed_members","href":"/api-reference/open_enrollment_windows/get-open-enrollment-windows-completed_members"},{"title":"Get Incomplete Members","openapi":"schemas/2023-08-25/schema.yaml get /open_enrollment_windows/{public_id}/incomplete_members","href":"/api-reference/open_enrollment_windows/get-open-enrollment-windows-incomplete_members"},{"title":"Get Incomplete Members Report","openapi":"schemas/2023-08-25/schema.yaml get /open_enrollment_windows/{public_id}/incomplete_members_report","href":"/api-reference/open_enrollment_windows/get-open-enrollment-windows-incomplete_members_report"},{"title":"Get Enrollment Census","openapi":"schemas/2023-08-25/schema.yaml get /open_enrollment_windows/{public_id}/enrollment_census","href":"/api-reference/open_enrollment_windows/get-open-enrollment-windows-enrollment_census"}]},{"group":"Pay Rates","pages":[{"title":"List Pay Pay Rates","openapi":"schemas/2023-08-25/schema.yaml get /pay_rates","href":"/api-reference/pay_rates/get-pay_rates"},{"title":"Create Pay Rate","openapi":"schemas/2023-08-25/schema.yaml post /pay_rates","href":"/api-reference/pay_rates/post-pay_rates"},{"title":"Retrieve Pay Rate","openapi":"schemas/2023-08-25/schema.yaml get /pay_rates/{public_id}","href":"/api-reference/pay_rates/get-pay_rates-1"},{"title":"Delete Pay Rate","openapi":"schemas/2023-08-25/schema.yaml delete /pay_rates/{public_id}","href":"/api-reference/pay_rates/delete-pay_rates"},{"title":"Update Pay Rate","openapi":"schemas/2023-08-25/schema.yaml patch /pay_rates/{public_id}","href":"/api-reference/pay_rates/patch-pay_rates"}]},{"group":"Payroll Benefits","pages":[{"title":"List Payroll Benefits","openapi":"schemas/2023-08-25/schema.yaml get /payroll_benefits","href":"/api-reference/payroll_benefits/get-payroll_benefits"},{"title":"Retrieve Payroll Benefit","openapi":"schemas/2023-08-25/schema.yaml get /payroll_benefits/{public_id}","href":"/api-reference/payroll_benefits/get-payroll_benefits-1"},{"title":"Update Payroll Benefit","openapi":"schemas/2023-08-25/schema.yaml patch /payroll_benefits/{public_id}","href":"/api-reference/payroll_benefits/patch-payroll_benefits"}]},{"group":"Payroll Payments","pages":[{"title":"List Payroll Payments","openapi":"schemas/2023-08-25/schema.yaml get /payroll_payments","hr
[...]
